> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuralverge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Shopify collection

> Get one Shopify collection by store domain and handle: title, description, image, product count and timestamps. 5 point per returned record.



## OpenAPI

````yaml /openapi.json post /functions/v1/run-shopify-collections
openapi: 3.0.0
info:
  title: NeuralVerge API
  version: 1.0.0
  description: >-
    NeuralVerge API for AI research workflows, search, extraction, and
    structured data source execution.
servers:
  - url: https://api.neuralverge.ai
    description: NeuralVerge API
security:
  - BearerAuth: []
tags:
  - name: AI Research
    description: Research workflows and session tracking.
  - name: AI Extract
    description: Schema-driven extraction workflows.
  - name: AI Agents
    description: Reusable saved agents executed through the API.
  - name: Search
    description: Fast, synchronous web search with no session or polling.
  - name: Company intelligence
    description: Company profile lookups from company databases.
  - name: E-commerce & Marketplaces
    description: >-
      Product, seller, and review lookups on Amazon, eBay, Walmart, AliExpress,
      and Alibaba.
  - name: Enrichment
    description: Email and phone enrichment, validation, and discovery.
  - name: Product reviews
    description: >-
      Software and business reviews from Capterra, Gartner Peer Insights, and
      Trustpilot.
  - name: Social media
    description: LinkedIn profile, company, and people lookups.
paths:
  /functions/v1/run-shopify-collections:
    post:
      tags:
        - E-commerce & Marketplaces
      summary: Shopify collection
      description: >-
        Get one Shopify collection by store domain and handle: title,
        description, image, product count and timestamps. 5 point per returned
        record.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                store_domain:
                  description: Store domain. e.g. e.g. gymshark.com
                  type: string
                collection:
                  description: Collection handle or URL. e.g. e.g. mens
                  type: string
              required:
                - store_domain
                - collection
            example:
              store_domain: e.g. gymshark.com
              collection: e.g. mens
      responses:
        '200':
          description: Run completed.
          content:
            application/json:
              schema:
                type: object
                properties:
                  session_id:
                    type: string
                    description: Session identifier for this run.
                  kind:
                    type: string
                    description: Data source identifier for this endpoint.
                  store_domain:
                    type: string
                  collection:
                    type: string
                  human:
                    type: string
                    description: Markdown summary of the result, for display.
                  machine:
                    type: object
                    properties:
                      store_domain:
                        type: string
                      collection:
                        type: object
                        properties:
                          id:
                            type: integer
                          alias:
                            type: string
                          title:
                            type: string
                          url:
                            type: string
                          description:
                            type: string
                          description_html:
                            type: string
                          image: {}
                          product_count:
                            type: integer
                          published_at:
                            type: string
                          updated_at:
                            type: string
                          source:
                            type: string
                      proxy_traffic_bytes:
                        type: integer
                    description: Structured result payload.
                  total_points:
                    type: integer
                    description: Points charged for this run.
              example:
                session_id: 11111111-1111-1111-1111-111111111111
                kind: shopify_collection
                store_domain: allbirds.com
                collection: mens
                human: |-
                  # Shopify collection

                  - **Store:** allbirds.com
                  - **Collection:** mens
                  - **Proxy traffic:** 2.6 KB
                  - **Title:** Men's Shoes
                  - **URL:** https://allbirds.com/collections/mens
                  - **Products:** 960
                  - **Published:** 2019-10-31T16:20:55-07:00
                  - **Updated:** 2026-09-30T04:02:46-07:00
                machine:
                  store_domain: allbirds.com
                  collection:
                    id: 132815978576
                    alias: mens
                    title: Men's Shoes
                    url: https://allbirds.com/collections/mens
                    description: >-
                      Sustainable, supportive, and wildly comfortable, our
                      sneakers are always ready when you are.
                    description_html: "<p>Sustainable, supportive, and wildly comfortable, our sneakers are always ready when you are.\_</p>"
                    image: null
                    product_count: 960
                    published_at: '2019-10-31T16:20:55-07:00'
                    updated_at: '2026-09-30T04:02:46-07:00'
                    source: json
                  proxy_traffic_bytes: 2650
                total_points: 5
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '402':
          description: Payment Required
        '500':
          description: Internal Error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````